Status: Resolved Priority: Must have
Author: Robert Lemke Category: Persistence
Created: 2011-06-16 Assigned To: Karsten Dambekalns
Updated: 2011-06-24 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Support per-package Doctrine migrations
Description

Associated revisions
Revision 4e4ebf30 - 2011-06-24 18:02 - Karsten Dambekalns

[FEATURE] Read migrations from active packages

It is impractical to keep migrations in a distribution-wide folder,
so with this change the migrations are read from all active packages.

Adds the current schema as a MySQL migration as well.
If you have been using FLOW3 in the past, you should have this already.
To mark the migration as already existing run
  flow3:doctrine:migrationversion --version 20110613223837 --add

Resolves: #27491
Change-Id: I05d46f9ec825980c3f90851f183e01a0dcc26e8c

History
#1 - 2011-06-21 16:15 - Mr. Hudson

Patch set 1 of change I05d46f9ec825980c3f90851f183e01a0dcc26e8c has been pushed to the review server.
It is available at http://review.typo3.org/2860

#2 - 2011-06-21 16:15 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#3 - 2011-06-23 22:05 - Mr. Hudson

Patch set 2 of change I05d46f9ec825980c3f90851f183e01a0dcc26e8c has been pushed to the review server.
It is available at http://review.typo3.org/2860

#4 - 2011-06-24 14:51 - Mr. Hudson

Patch set 3 of change I05d46f9ec825980c3f90851f183e01a0dcc26e8c has been pushed to the review server.
It is available at http://review.typo3.org/2860
#5 - 2011-06-24 18:04 - Mr. Hudson

Patch set 4 of change I05d46f9ec825980c3f90851f183e01a0dcc26e8c has been pushed to the review server.
It is available at http://review.typo3.org/2860

#6 - 2011-06-24 18:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4e4ebf3095c036edbf0feb2ba68380acf97f2c64.
